# class toResultCombo

This widget displays the result of a query where each field is added as an item to a combobox. More...

Definition | `#include <toresultcombo.h>`
Inherits | QComboBox (qt) [public ], toResult [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultCombo (QWidget *parent,const char *name=NULL)
- ~toResultCombo ()
- virtual void query (const QString &sql,const toQList ¶m)
- virtual void clearAdditional ()
- virtual void additionalItem (const QString &item)
- virtual bool canHandle (toConnection &)
- void setSelected (const QString &sel)
- QString selected (void)
- void setSQL (const QString &sql)
- void setSQL (const toSQL &sql)
- void query (const QString &sql)
- void query (const toSQL &sql)
- void query (const toSQL &sql,toQList &par)

#### Public Slots

- virtual void refresh (void)
- virtual void changeParams (const QString &Param1)
- virtual void changeParams (const QString &Param1,const QString &Param2)
- virtual void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

#### Signals

- void done (void)

## Detailed Description

This widget displays the result of a query where each field is added as an item to a combobox.

toResultCombo (QWidget *parent,const char *name=NULL)

### toResultCombo

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

~toResultCombo ()

### ~toResultCombo

Destruct object

void query (const QString &sql,const toQList ¶m)

### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResult.

void clearAdditional ()

### clearAdditional

[virtual]

Clear list of additional items.

void additionalItem (const QString &item)

### additionalItem

[virtual]

Item to add before the query is read. Can be called several times.

bool canHandle (toConnection &)

### canHandle

[virtual]

Handle any connection by default

Reimplemented from toResult.

void setSelected (const QString &sel)

### setSelected

Set selected. When the result is read and this value is encountered that item is selected.

QString selected (void)

### selected

Get selected item value. Might not be same as currentText since that item might not have been read yet.

void setSQL (const QString &sql)

### setSQL

Set the SQL statement of this list

Parameters:

sql | String containing statement.

Reimplemented from toResult.

void setSQL (const toSQL &sql)

### setSQL

Set the SQL statement of this list. This will also affect Name.

Parameters:

sql | SQL containing statement.

Reimplemented from toResult.

void query (const QString &sql)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void query (const toSQL &sql)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void query (const toSQL &sql,toQList &par)

### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void done (void)

### done

[signal]

Done reading the query.

void refresh (void)

### refresh

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2)

### changeParams

[virtual slot]

Reimplemented For internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.